Bug 492880

Summary: Cannot paste entire text from PRIMARY
Product: [Fedora] Fedora Reporter: Gabriel Schulhof <gabrielschulhof>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: behdad
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 04:09:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
patch.txt none

Description Gabriel Schulhof 2009-03-30 10:27:07 EDT
Created attachment 337220 [details]
patch.txt

Description of problem:
When attempting to run cat - | patch -p0 and pasting in the patch while middle-clicking, only a part of the patch is pasted in.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.5.3-15.fc10.i386

How reproducible:
Almost always

Steps to Reproduce:
1. svn co https://stage.maemo.org/svn/maemo/projects/haf/trunk/posix-locales/
2. cd posix-locales
3. cat - | patch -p0
4. Open the attachment "patch.txt" in firefox
5. Hilight the entire patch
6. Middle-click on the terminal where cat - | patch -p0 is waiting for input

Actual results:
The patch only appears up to this point:
...
Index: locales/es_MX
===================================================================
--- locales/es_MX	(revision 17864)
+++ locales/es_MX	(work# <-- cursor blinks here (represented by # mark)

Expected results:
The entire patch appears on the screen, and I can hit Ctrl+D, and patch will read it in.


Additional info:
I suspect that this might have something to do with the fact that pipes can only hold a limited number of bytes. However, in this case, when the pipe is full, patch should start consuming it ... After all, if I save the patch to a file and run patch -p0 < patch.txt it works.

Don't expect the patch to actually apply, because I've applied it via save -> patch -p0 < patch.txt
Comment 1 Matěj Cepl 2009-04-28 04:22:42 EDT
(In reply to comment #0)
> 6. Middle-click on the terminal where cat - | patch -p0 is waiting for input
> 
> Actual results:
> The patch only appears up to this point:

Actually, the text is there, but it is not displayed. If you press ENTER in gnome-terminal (do you use that or konsole or something else) the rest of the text appears.

I believe this is issue with gnome-terminal, not with X itself. Reassigning.
Comment 2 Bug Zapper 2009-11-18 06:38:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:09:21 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.